# nblandmarks contains the number of used landmarks
nblandmarks<-length(rtt)
# Seeking failed landmarks during the RTT measurements step
violators<-which(rtt==0)
if(length(violators)==0){
	# We choose all our set of landmarks
	goodlandRTT<-(1:nblandmarks)
}
if(length(violators)!=0){ 
	# Remove landmarks which fail
	goodlandRTT<-(1:nblandmarks)[-violators]
}

# b_i represents the intercept of the bestline of the ith segment 
# m_i represents the slope of the bestline of the ith segment
# each landmark computes its own bestlines offline
# each landmark owns multiple bestlines following different bins which are based on delays.


bls_dynamique <- matrix(0,nc=2,nr= length(goodlandRTT))
current_land <- 0
# Computing the good bestline following the measured delays between landmarks and target
for (i in goodlandRTT){
	current_land <- current_land + 1
	RTT_target <- rtt[i]
	input <-paste("Multiple-bestline/bls_",i,".dat",sep="")
	slope_intercept_bin<-read.table(input)
	nb_bestlines <- nrow(slope_intercept_bin)
	counter <- 1
	upper_bound <- 0
	if (RTT_target <= slope_intercept_bin[counter,3] ){
		upper_bound <- counter
	}
	else if (RTT_target >= slope_intercept_bin[nb_bestlines,3]){
		upper_bound <- nb_bestlines
	}
	else{
		while ((RTT_target > slope_intercept_bin[counter,3]) && (counter <= nb_bestlines)){
			counter <- counter + 1
			upper_bound <- counter
		}
	}
	bls_dynamique[current_land,1] <-  slope_intercept_bin[upper_bound,2]
	bls_dynamique[current_land,2] <-  slope_intercept_bin[upper_bound,1]
}
# Compute the geographic distance constraint delays_{iT} x = (y - b)/a
delays<- (rtt[goodlandRTT] - bls_dynamique[,1])/bls_dynamique[,2] 


#
# si delay_{iT] == b_i => delays_{iT} < 0 d'apres l'equation (1)
# si delay_{iT} < b_i par definition delays_{iT]<-0 
# alors il faut mettre delays_{iT} == 0 car une distance n'est jamais negative
# dans la realite cela signifie que les 2 points sont situes au mÍme endroit.
#negatif<-which(delays<0)
#delays[negatif]<-0
delays <- abs(delays)
