compute_path_distance <- function(){
host<-read.table("/Users/bamba/Documents/Projet_Site_GeoLIM/Geolim/Geoloc/Landmarks_Lon_Lat")
# read names, longitude and latitude of AMP nodes
number_host<-length(host[,1])
# "lonlat" contains the geographical location (longitude,latitude) of landmarks 
# "names" contains the DNS names of Landmarks
names<-array(host[,1])
for (alpha in 1:number_host){
	cat(alpha,"-target ",names[alpha],"\n")
	for(i in 1:number_host){
		# reading longitude and latitude of routeurs between probe landmark "i" and the target "alpha"
		path<-paste("/Users/bamba/Documents/Projet_Site_GeoLIM/Geolim/Geoloc/Traceroute_rslts/",names[alpha],"/",names[i],sep="")
		destination<-paste("/Users/bamba/Documents/Projet_Site_GeoLIM/Geolim/Geoloc/Distance_probes/actualdistance_vs_pathdistance_",names[alpha],".dat",sep="")
		actual_distance<-calculdist(deg2rad(lonlat[i,1]),deg2rad(lonlat[i,2]),deg2rad(lonlat[alpha,1]),deg2rad(lonlat[alpha,2]))
		if (alpha != i){
			cat(paste(names[alpha],"/",names[i],sep=""),"\n")
			if(length(count.fields(path))==0){
				#case where the traceroute is failed
				write(matrix(c(names[i],actual_distance,actual_distance),nc=3),destination,ncolumns=3,append=TRUE)
			}
			else{
				temp<-read.table(path)
				temp_lonlat<-matrix(0,nc=2,nr=length(temp[,1]))
				temp_lonlat[,1]<-temp[,2]
				temp_lonlat[,2]<-temp[,3]
				somme_dist<-0
				nbrouteur<-length(temp_lonlat[,1])
				if (lonlat[i,1] != 0 && lonlat[i,2] != 0 && temp_lonlat[1,1] !=0 && temp_lonlat[1,2] != 0){
					some_dist<-calculdist(deg2rad(lonlat[i,1]),deg2rad(lonlat[i,2]),deg2rad(temp_lonlat[1,1]),deg2rad(temp_lonlat[1,2]))
				}
				if (nbrouteur <= 1){
					#case where the traceroute is failed
					write(matrix(c(names[i],actual_distance,actual_distance),nc=3),destination,ncolumns=3,append=TRUE)
				}
				else{
					for (j in 1:(nbrouteur -1) ){
						# compute distances between routeur
						if (temp_lonlat[j,1] != 0 && temp_lonlat[j,2] != 0 && temp_lonlat[j+1,1] !=0 && temp_lonlat[j+1,2] != 0){
							if (j+1 == nbrouteur){
								# take the coordinates provided by PlanetLab website because we hurt the end host
								distance<-calculdist(deg2rad(temp_lonlat[j,1]),deg2rad(temp_lonlat[j,2]),deg2rad(lonlat[alpha,1]),deg2rad(lonlat[alpha,2]))
							}
							else{
								distance<-calculdist(deg2rad(temp_lonlat[j,1]),deg2rad(temp_lonlat[j,2]),deg2rad(temp_lonlat[j+1,1]),deg2rad(temp_lonlat[j+1,2]))
							}
							somme_dist<-distance + somme_dist
						}
					}
					write(matrix(c(names[i],actual_distance,somme_dist),nc=3),destination,ncolumns=3,append=TRUE)
				}
			}
		}
		else{
			# i = j
			write(matrix(c(names[i],0,0),nc=3),destination,ncolumns=3,append=TRUE)
		}
	}
}
}


