#!/bin/sh

# Script to load  R  
# This script need to be run in the folder where is located the  R workspace image (.RData) which contains
# few functions used in this script.
R -q --save --args  << EOF
# recover the first parameter. This parameter contains the path of the file which contains
# for each landmark toward a target host the RTT and the Bandwidth
mat<-read.table("$1")
# recover the second parameter
target<-"$2"
# recover the dataset which contains the target hosts
#set_of_target<-array(read.table("host-AMP_RIPE_used.txt")[,1])
#indice_target<-which(set_of_target==target)

rtt<-matrix(0,nc=length(mat[,1]))
#mat
names<-array(mat[,1])
rtt<-mat[,2]

# Compute geographic constraint between landmarks and a given target hosts.
# Use one bestline per landmark
source("Fichier_R/compute-distance-constraint.R")

# 'delays' and 'goodlandRTT' are the output of the function 'compute-distance-constraint.R'
# goodlandRTT gives the id of the landmarks that obtained succesfull ping
var<-Newcrosscircle(target,delays,lonlat[goodlandRTT,])
# case where we have crossing points
if(var!=0){
	# seeking the good crossing points. This points will form our polygon
	Goodpoints(target,delays,lonlat[goodlandRTT,])
	# compute the confidence region, the location estimate and the radius of the confidence region
	#Runangle(target,delays,lonlat[goodlandRTT,],rtt)
	# Estimate the location of target host without drawing a map
	RunangleV2(target,delays,lonlat[goodlandRTT,],rtt)
}
if(var==0){
	write (target,"Failed_target.txt",append=TRUE)
}
q()
EOF
